%def_with jack
%def_with flac

Name: alsaplayer
Version: 0.99.76
Release: alt1.1.1

Summary: Advanced Linux Sound Architecture (ALSA) player
Summary(ru_RU.KOI8-R):   ALSA
Group: Sound
License: GPL
Url: http://www.alsaplayer.org
ExcludeArch: alpha ppc sparc sparc64
Source: %url/%name-%version.tar.bz2
Source1: %name-icons.tar.bz2

Prefix: %prefix

Requires: lib%name = %version-%release
Requires: %name-plugins = %version-%release

%define sndfile_ver 1.0.4

Requires: libsndfile >= %sndfile_ver
BuildPreReq: libsndfile-devel >= %sndfile_ver

%if_with jack
%define jack_ver 0.70.4 
BuildPreReq: jackit-devel >= %jack_ver
%endif

%if_with flac
%define flac_ver 1.0.4-alt3 
BuildPreReq: libflac-devel
%endif

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Tue Dec 16 2003
BuildRequires: XFree86-devel XFree86-libs doxygen esound-devel gcc-c++ gcc-g77 glib-devel gtk+-devel hostinfo jackit-devel libalsa-devel libaudio-devel libaudiofile-devel libflac-devel libid3tag-devel libmad-devel libmikmod-devel libogg-devel liboggflac-devel libsndfile-devel libstdc++-devel libvorbis-devel libxosd-devel pkgconfig zlib-devel

%description
This package contains Alsaplayer is an audio player with wide range of
input, interface, output, and scopes plugins.

%package -n lib%name
Summary: Shared library for AlsaPlayer
Group: System/Libraries

%description -n lib%name
This package contains shared library required for Alsaplayer to work.

%package plugins
Summary: AlsaPlayer plugins
Group: System/Libraries
Requires: lib%name = %version-%release

%description plugins
This package contains plugins for Alsaplayer.

%package devel
Summary: Development files for Alsaplayer
Group: Development/C++
Requires: lib%name = %version-%release
Requires: %name-plugins = %version-%release

%description devel
This package contains header files, libraries and documentation needed
to develop plugins for Alsaplayer.

%prep
%setup -q -a1

# while configure stuff broken.
%if_without flac
%__subst 's, flac,,g' input/Makefile.in
%endif

find -type f -name "Makefile*" -print0 |xargs -r0 %__subst 's,\(ldflags = .*\),\1 %optflags_shared,' --

%build
export CFLAGS=-I%_x11includedir
%configure --enable-audiofile \
%if_without jack
	--disable-jack \
%endif
%if_without flac
	--disable-flac \
%endif

%make_build

%install
%make_install DESTDIR=%buildroot \
	      DOCDIR=%buildroot%_docdir/%name install

# menus
%__cat <<__MENU__ > %name.menu
?package(alsaplayer): needs="x11" title="Alsa Player" longtitle="Multiformat audio player" \
section="Multimedia/Sound/" icon="alsaplayer.xpm"
?package(alsaplayer): command="alsaplayer" needs="x11" \
title="Alsa Player (ALSA output)" longtitle="The Alsa Player using ALSA output driver" \
section="Multimedia/Sound/Alsa Player" icon="alsaplayer.xpm"
?package(alsaplayer): command="alsaplayer -o oss" needs="x11" \
title="Alsa Player (OSS output)" longtitle="The Alsa Player using OSS output driver" \
section="Multimedia/Sound/Alsa Player" icon="alsaplayer.xpm"
?package(alsaplayer): command="alsaplayer -o esound" needs="x11" \
title="Alsa Player (EsounD output)" longtitle="The Alsa Player using EsounD output driver" \
section="Multimedia/Sound/Alsa Player" icon="alsaplayer.xpm"
__MENU__

%__install -p -m644 -D %name.menu %buildroot%_menudir/%name

#icons
%__mkdir -p %buildroot%_iconsdir
%__cp -a icons/* %buildroot%_iconsdir

%if_with jack
%__ln_s alsaplayer %buildroot%_bindir/jackplayer
%endif

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/%name/*/*.la

%__rm -rf %buildroot%_docdir/%name

%post
%update_menus
%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_man1dir/*
%_menudir/*
%doc AUTHORS ChangeLog README

%files -n lib%name
%_libdir/*.so.*

%files plugins
%dir %_libdir/%name
%dir %_libdir/%name/input
%dir %_libdir/%name/interface
%dir %_libdir/%name/output
%dir %_libdir/%name/reader
%dir %_libdir/%name/scopes
%_libdir/%name/*/*.so

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc docs/reference/html docs/*.txt

%changelog
* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.99.76-alt1.1.1
- Rebuilt with libflac-1.1.2-alt1

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.99.76-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.76-alt1
- 0.99.76
- do not package .la files.
- fix TEXTREL bug.

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.75-alt1
- 0.99.75

* Sun Mar 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.74-alt1
- 0.99.74

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.99.73-alt1
- new version.
- lib%name, -devel and plugins subpackages.
- enabled flac support.
- descriptions, menus improved.

* Tue Oct 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.99.72-alt1
- 0.99.72
- unusual jack support disabled.
- broken flac support disabled.

* Tue Jun 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.99.71-alt1
- 0.99.71

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.99.70-alt1
- 0.99.70
- flac input plugin
- buildrequres updated

* Sun Apr 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.99.59-alt2
- rebuilt with jack, buildrequres updated.

* Tue Apr 09 2002 Rider <rider@altlinux.ru> 0.99.59-alt1
- 0.99.59

* Tue Mar 19 2002 Rider <rider@altlinux.ru> 0.99.57-alt1
- 0.99.57

* Sun Feb 10 2002 Rider <rider@altlinux.ru> 0.99.53-alt0.1
- 0.99.53

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.99.51-alt0.1-cvs
- Compile from CVS version

* Mon Sep 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.99.50-alt2
- Some fixes

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.99.50-alt1
- 0.99.50

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.99.36-alt1
- 0.99.36

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.99.35-alt1
- 0.99.35

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.99.34-alt1
- 0.99.34

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 0.99.33-ipl0.1mdk
- 0.99.33-pre2.
- RE adaptions.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-12mdk
- Recompile with alsa-0.5.10.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-11mdk
- Add icons.

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-10mdk
- fix gcc2.96 compilation.

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.99.32-9mdk
- EcludeArch: ppc

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-8mdk
- remove some debugging messages

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-7mdk
- build against latest alsa-lib
- fix requires

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.32-6mdk
- disabled the use of makeinstall macro in order to have the libraries installed
  in the correct place (reported by Anton Graham <darkimage@bigfoot.com>)
- cleaner specfile
- more menu dir macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.99.32-5mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-4mdk
- fix macros

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-3mdk
- macroszifications.
- build against latest alsa-lib
- Use macros for update-menus.

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-2mdk
- build against latest alsa-lib
- add url

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-1mdk
- new release

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.99.31-2mdk

- ExcludeArch: alpha sparc sparc64

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.31-1mdk
- Add menu entry.
- Fix Requires.
- Fix titi sucks.
- Build again latest alsa-lib and libmikmod.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.31-2mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 99.31
- compiled against alsa-lib-0.5.5

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
